> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thepublive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Media



## OpenAPI

````yaml /openapi/content-management.json get /publisher/{publisher_id}/media-library/{id}/
openapi: 3.1.0
info:
  title: Publive Content Management API
  version: 1.0.0
  description: >-
    Read/write API for managing publisher content: categories, tags, posts, live
    blogs, media, custom content types, custom components, forms, reader
    accounts, and newsletter subscriptions.
servers:
  - url: https://cms.thepublive.com
security:
  - basicAuth: []
tags:
  - name: Categories
  - name: Tags
  - name: Posts
  - name: Live Blogs
  - name: Media Library
  - name: Custom Content Types
  - name: Custom Components
  - name: Forms
  - name: Reader
  - name: Newsletter
paths:
  /publisher/{publisher_id}/media-library/{id}/:
    get:
      tags:
        - Media Library
      summary: Retrieve Media
      operationId: retrieveMedia
      parameters:
        - $ref: '#/components/parameters/PublisherId'
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Media object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Media'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    PublisherId:
      name: publisher_id
      in: path
      required: true
      schema:
        type: string
      description: Your Publisher ID
    Id:
      name: id
      in: path
      required: true
      schema:
        type: integer
  schemas:
    Media:
      type: object
      properties:
        id:
          type: integer
        filename:
          type: string
        alt_text:
          type: string
        caption:
          type: string
        path:
          type: string
        source:
          type: string
        type:
          type: string
          enum:
            - Image
            - Video
            - File
          default: Image
        meta_data:
          type: object
        date:
          type: string
        member:
          type: string
    ErrorDetail:
      type: object
      properties:
        detail:
          type: string
  responses:
    Unauthorized:
      description: Invalid or missing credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDetail'
          example:
            detail: Invalid Auth Credentials
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: HTTP Basic Auth using your Publive API key pair, base64-encoded.

````